#ifneq ($(TARGET_SIMULATOR),true)

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

ifeq ($(BISYA_FEATURE_EXTDEV_UPDATE),BISYA_FEATURE_EXTDEV_UPDATE_V1)
SRCDIR					= v1
endif
ifeq ($(BISYA_FEATURE_EXTDEV_UPDATE),BISYA_FEATURE_EXTDEV_UPDATE_V2)
SRCDIR					= v2
endif

#CROSS_COMPILE          := $(CURDIR)/prebuilts/gcc/linux-x86/arm/armv7a-cros-linux-gnueabi-4.8/bin/armv7a-cros-linux-gnueabi-
CROSS_COMPILE          := $(CURDIR)/$(TARGET_TOOLS_PREFIX)

TARGET_LINUXPATH       := $(CURDIR)/$(TARGET_OUT_INTERMEDIATES)/KERNEL_OBJ
TARGET_PREBUILT_KERNEL := $(PRODUCT_OUT)/kernel

IFCONDRV_MODULE  := $(LOCAL_PATH)/$(SRCDIR)/ifcon_drv.ko
IFCONDRV_SUBDIRS := $(CURDIR)/$(LOCAL_PATH)

IFCONDRV_SOURCE_FILES := $(addprefix $(IFCONDRV_SUBDIRS)/, \
	$(SRCDIR)/ifcon_drv.c \
)

IFCONDRV_CLEANUP := $(addprefix $(IFCONDRV_SUBDIRS)/, \
	$(SRCDIR)/*.o \
	$(SRCDIR)/.*cmd \
	.tmp_versions \
	$(SRCDIR)/ifcon_drv.mod.c \
	$(SRCDIR)/ifcon_drv.mod.o \
	Module.symvers \
	modules.order \
)

$(IFCONDRV_MODULE): $(IFCONDRV_SOURCE_FILES) $(TARGET_PREBUILT_KERNEL)
	make \
		ARCH=arm \
		CROSS_COMPILE=$(CROSS_COMPILE) \
		-C $(TARGET_LINUXPATH) \
		SUBDIRS=$(IFCONDRV_SUBDIRS) \
		$(ICX_KERNEL_MODULE_MAKE_OPT) \
		modules
	$(CROSS_COMPILE)strip --strip-unneeded $(IFCONDRV_MODULE)
	rm -rf $(IFCONDRV_CLEANUP)

#LOCAL_SRC_FILES := ifcon_drv.c
LOCAL_MODULE := ifcon_drv.ko
LOCAL_MODULE_TAGS := debug
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT)/lib/modules
LOCAL_SRC_FILES := $(SRCDIR)/ifcon_drv.ko

include $(BUILD_PREBUILT)

#endif
